org.apache.storm.redis.common.container

## Class JedisCommandsContainerBuilder

- java.lang.Object
- - org.apache.storm.redis.common.container.JedisCommandsContainerBuilder

-     public class JedisCommandsContainerBuilder
      extends Object

  Container Builder which helps abstraction of two env. - single instance or Redis Cluster.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static redis.clients.jedis.JedisPoolConfig` | `DEFAULT_POOL_CONFIG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JedisCommandsContainerBuilder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JedisCommandsInstanceContainer` | `build(JedisClusterConfig config)` Builds container for Redis Cluster environment.
    `static JedisCommandsInstanceContainer` | `build(JedisPoolConfig config)` Builds container for single Redis environment.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_POOL_CONFIG

          public static final redis.clients.jedis.JedisPoolConfig DEFAULT_POOL_CONFIG

  - ### Constructor Detail

    - #### JedisCommandsContainerBuilder

          public JedisCommandsContainerBuilder()

  - ### Method Detail

    - #### build

          public static JedisCommandsInstanceContainer build(JedisPoolConfig config)

      Builds container for single Redis environment.

      Parameters:
        `config` - configuration for JedisPool
      Returns:
        container for single Redis environment

    - #### build

          public static JedisCommandsInstanceContainer build(JedisClusterConfig config)

      Builds container for Redis Cluster environment.

      Parameters:
        `config` - configuration for JedisCluster
      Returns:
        container for Redis Cluster environment

Copyright © 2021 The Apache Software Foundation. All rights reserved.